Bug 1574413 - Cannot unlock luks volumes offline with Network-Bound Disk Encryption configured
Summary: Cannot unlock luks volumes offline with Network-Bound Disk Encryption configured
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: rawhide
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: dracut-maint-list
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1612131 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 09:11 UTC by Zamir SUN
Modified: 2019-11-06 16:27 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:15:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Zamir SUN 2018-05-03 09:11:25 UTC
Description of problem:
Given I have my home directory on luks volume with Network-Bound Disk Encryption configured. When I make the initramfs using dracut 047-8.git20180305.fc28, I cannot unlock my device offline

Version-Release number of selected component (if applicable):
Fedora 28 x86_64.
dracut-047-8.git20180305.fc28


How reproducible:
Always

Steps to Reproduce:
1. Configure the /home to mount on an LUKS volume.
2. Configure Network-Bound Disk Encryption following this guide 
https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/security_guide/sec-using_network-bound_disk_encryption
3. Still in the above guide, configure automated unlocking (in chapter 4.10.6. Configuring Automated Unlocking of Non-root Volumes at Boot Time)
4. dracut -f, or update the kernel
5. Unplug wired network.
6. Reboot the system
Actual results:
Booting will stop around
"Starting Switch Root..."
And the password prompt do not show up. So /home cannot be unlocked. And thus system cannot boot.

Expected results:
Password prompt shows up so that I can unlock the /home successfully

Additional info:
After downgrading dracut to dracut-046-64.git20180105.fc28.x86_64 and dracut -f again, everything works fine.

$ sudo cat /etc/crypttab 
home /dev/fedora/home - _netdev
$ sudo grep home /etc/fstab
/dev/mapper/home /home                   ext4    defaults,_netdev        1 2

Comment 1 Zamir SUN 2018-05-03 13:06:42 UTC
This works fine in Fedora 27, so adding the keyword Regression.

Comment 2 Javier Martinez Canillas 2018-09-12 11:16:33 UTC
*** Bug 1612131 has been marked as a duplicate of this bug. ***

Comment 3 Javier Martinez Canillas 2018-09-12 11:18:52 UTC
The dracut upstream commit that caused this regression is [0], it landed in version 047.

[0]: https://github.com/dracutdevs/dracut/commit/f0094476fd8

Comment 4 Travis Michette 2018-11-09 14:24:29 UTC
(In reply to Zamir SUN from comment #0)
> Description of problem:
> Given I have my home directory on luks volume with Network-Bound Disk
> Encryption configured. When I make the initramfs using dracut
> 047-8.git20180305.fc28, I cannot unlock my device offline
> 
> Version-Release number of selected component (if applicable):
> Fedora 28 x86_64.
> dracut-047-8.git20180305.fc28
> 
> 
> How reproducible:
> Always
> 
> Steps to Reproduce:
> 1. Configure the /home to mount on an LUKS volume.
> 2. Configure Network-Bound Disk Encryption following this guide 
> https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/
> html/security_guide/sec-using_network-bound_disk_encryption
> 3. Still in the above guide, configure automated unlocking (in chapter
> 4.10.6. Configuring Automated Unlocking of Non-root Volumes at Boot Time)
> 4. dracut -f, or update the kernel
> 5. Unplug wired network.
> 6. Reboot the system
> Actual results:
> Booting will stop around
> "Starting Switch Root..."
> And the password prompt do not show up. So /home cannot be unlocked. And
> thus system cannot boot.
> 
> Expected results:
> Password prompt shows up so that I can unlock the /home successfully
> 
> Additional info:
> After downgrading dracut to dracut-046-64.git20180105.fc28.x86_64 and dracut
> -f again, everything works fine.
> 
> $ sudo cat /etc/crypttab 
> home /dev/fedora/home - _netdev
> $ sudo grep home /etc/fstab
> /dev/mapper/home /home                   ext4    defaults,_netdev        1 2


Comment I took from BZ:

https://bugzilla.redhat.com/show_bug.cgi?id=1644876


I'm having similar issue, except I have upgraded to FC29 and I get prompted for the password ...



This is a very close description to the bug listed above. However, I never configured Clevis after it was installed. I mainly used it to build some documentation for a demo so I didn't need to fire up my VM. So I only used man pages and some of the features for the CLI to copy/paste output. At no point in time were Clevis or Tang even running on this laptop.

I have my entire disk encrypted, and the system *did* prompt me for a password to unlock it.

[root@p50 ~]# cat /etc/crypttab 
luks-810cedba-4eab-42d6-a266-9da16726319d UUID=810cedba-4eab-42d6-a266-9da16726319d none discard
VM_Crypt UUID=f9ea1ae5-c917-45c7-aefe-936467371415  /root/VM_Keyfile luks
VM_Crypt2 UUID=d6071dcd-63af-4b3a-89a7-a9728235030c     /root/VM_Keyfile2 luks

[root@p50 ~]# cat /etc/fstab

#
# /etc/fstab
# Created by anaconda on Mon Mar 26 16:54:34 2018
#
# Accessible filesystems, by reference, are maintained under '/dev/disk'
# See man pages fstab(5), findfs(8), mount(8) and/or blkid(8) for more info
#
/dev/mapper/fedora_p50-root     /       xfs     defaults,x-systemd.device-timeout=0     0       0
UUID=a2dc36b0-eb8f-4261-9fa0-3e6d833c7c5a       /boot   ext4    defaults        1       2
/dev/mapper/fedora_p50-home     /home   xfs     defaults,x-systemd.device-timeout=0     0       0
/dev/mapper/fedora_p50-swap     swap    swap    defaults,x-systemd.device-timeout=0     0       0
/dev/mapper/VM_Crypt    /VirtualMachines        xfs     noatime,nodiratime      0       0
/dev/mapper/VM_Crypt2   /VirtualMachines2       xfs     noatime,nodiratime      0       0
/dev/nvme0n1p3  /VirtualMachines_Fast   xfs     noatime,nodiratime      0       0



> > At this point, Clevis/Tang are not installed on the system, however, it is
> > still attempting to use Clevis to decrypt the LUKS volumes even though none
> > of them are setup with Clevis and the /etc/crypttab doesn't have any of the
> > volumes referenced which would have been LUKS with Clevis.
> > 
> > --- Travis
> 
> Did you re-generate your initramfs after uninstalling clevis?

I did not regenerate initramfs after uninstalling clevis as I didn't generate the initramfs after installing Clevis. I saw no point in messing with the initramfs as I wasn't actually using Clevis.

Comment 5 Ben Cotton 2019-05-02 20:21:15 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-05-28 23:15:38 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.